          &dhemail;

&dhfirstname; &dhsurname;
2000
&dhusername;
&dhdate;
pt_util
&dhsection;

# pt_util

Utility to load/dump AFS protection database

          pt_util
    	  -w
    	  -u
    	  -g
    	  -m
    	  -n
    	  -s
    	  -x
    	  -d datafile
    	  -p prdb

## DESCRIPTION

This manual page documents `pt_util`, a utility for dumping, loading and creating AFS protection databases. The protection database is normally made available by the `ptserver` daemon running on the AFS database servers. However, `pt_util` provides a mechanism for manipulating the database when `ptserver` is unavailable. This is useful to create an initial database, to effect large batch changes or when the database has a damaged `system:administrators` group.

By default, `pt_util` opens the database and prints the version. Options allow extraction of information from the database or writing new entries into the database.

## OPTIONS

`-h`

  Show summary of options.

`-w`

  Update PRDB with contents of data file or standard input if the `-d` is not used

`-u`

  List users in the database.

`-g`

  List groups in the database.

`-m`

  List group members.

`-n`

  Follow name hash chains instead of ID hashes.

`-s`

  List only `system:` groups. Used by MIT's Moira.

`-d datafile`

  Read from or write printable representation of the database from datafile.

`-p prdb`

  Manipulate the protection database prdb. The running protection database is `/var/lib/openafs/db/prdb.DB0`

## SEE ALSO

ptserver(8)

## AUTHOR

This manual page was written by &dhusername; &dhemail; for the &debian; system (but may be used by others).